<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Address extends Eloquent {

	protected $table = 'addresses';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $guarded = array('id');
	protected $fillable = array('lat', 'lng', 'city', 'map_desc', 'user_id');

	public function user()
	{
		return $this->belongsTo('App\Models\User');
	}

}