<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Category extends Eloquent {

	protected $table = 'categories';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $guarded = array('id');
	protected $fillable = array('name', 'image', 'parent_id');

	public function products()
	{
		return $this->hasMany('App\Models\Product');
	}

	public function orders()
	{
		return $this->hasMany('App\Models\Order');
	}

}