<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Product extends Eloquent {

	protected $table = 'products';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $guarded = array('id');
	protected $fillable = array('name', 'image', 'category_id', 'price', 'discount_price', 'description', 'provider_id', 'quantity');

	public function category()
	{
		return $this->belongsTo('App\Models\Category');
	}

	public function provider()
	{
		return $this->belongsTo('App\Models\Provider');
	}

	public function photos()
	{
		return $this->morphMany('App\Models\Photo', 'photable');
	}

}